package pwc.taxtech.atms.constant;

import java.io.File;
import java.util.UUID;

public final class Constant {
    public static final String Comma = ",";
    public static final String Other = "其他";
    public static final int WholeYear = -1;

    public static final int CREATE_DB_SUCCESS = 1;
    public static final int CREATE_DB_EXISTS = 0;
    public static final int CREATE_DB_FAILED = -1;

    public static final String DB_SCRIPT_FOLDER = "RuntimeDbScripts";
    public static final String DB_SCRIPT_SQL = "CreateProjectDB.sql";
    public static final String DB_MYSQL_TYPE = "MYSQL";
    public static final String DB_MYSQL_PATH = DB_SCRIPT_FOLDER + File.separator + DB_MYSQL_TYPE + File.separator + DB_SCRIPT_SQL;

    public static final boolean ACTIVE = true;

    public static final String DEFAULT_INDUSTRY_ID = "0";

    public static final UUID USER_ID_FOR_UPLOAD = UUID.fromString("64D39CF7-467E-4414-B334-AA4B55A4E2B3");

    public static final String UPLOAD_FOLDER_NAME = "Upload";
    public static final String CURRENT_USER_HOME = "~";
    public static final String CURRENT_USER_UPLOAD_FOLDER = CURRENT_USER_HOME + File.separator + UPLOAD_FOLDER_NAME;
    public static final String CURRENT_IMAGE_PATH=CURRENT_USER_HOME+File.separator+"Resource"+File.separator+"Images";
    public static final String IMAGE_PATH_INFORMATION=CURRENT_IMAGE_PATH+File.separator+"information.png";
    public static final String IMAGE_PATH_ERROR=CURRENT_IMAGE_PATH+File.separator+"error.png";
    public static final String IMAGE_PATH_SUCCESS=CURRENT_IMAGE_PATH+File.separator+"success.png";
    public static final String IMAGE_PATH_WARN=CURRENT_IMAGE_PATH+File.separator+"warning1.png";


    public static final boolean DEFAULT_RESULT = true;

    public static final int FIRST_OR_DEFAULT = 0;

    public static final int HEADER_ROW_INDEX = 0;
    public static final boolean DEFAULT_HAS_HEADER = true;

    public static final String IMAGE_FORMART_ = "png";
}